<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="wrap_content"
    android:layout_height="wrap_content"
    android:gravity="center_horizontal"
    android:orientation="vertical">

    <com.gh.gamecenter.feature.view.GameIconView
        android:id="@+id/game_icon"
        android:layout_width="64dp"
        android:layout_height="64dp" />

    <TextView
        android:id="@+id/game_name"
        android:layout_width="64dp"
        android:layout_height="wrap_content"
        android:layout_marginTop="8dp"
        android:ellipsize="end"
        android:gravity="center_horizontal"
        android:lineSpacingExtra="4dp"
        android:maxLines="2"
        android:textColor="@color/text_primary"
        android:textSize="12sp"
        tools:text="超杀默示录" />

    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginTop="4dp">

        <com.gh.gamecenter.feature.view.DownloadButton
            android:id="@+id/download_btn"
            android:layout_width="56dp"
            android:layout_height="28dp"
            android:layout_marginTop="8dp"
            android:visibility="gone"
            app:download_button_show_progress="true"
            app:download_button_text_size="12sp"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            tools:visibility="visible" />

        <TextView
            android:id="@+id/multiVersionDownloadTv"
            android:layout_width="wrap_content"
            android:layout_height="28dp"
            android:drawablePadding="2dp"
            android:gravity="center"
            android:text="展开"
            android:textColor="@color/white"
            android:textSize="@dimen/secondary_size"
            android:visibility="gone"
            app:drawableEndCompat="@drawable/ic_jump_universal"
            app:layout_constraintBottom_toBottomOf="@+id/download_btn"
            app:layout_constraintEnd_toEndOf="@+id/download_btn"
            app:layout_constraintStart_toStartOf="@+id/download_btn"
            app:layout_constraintTop_toTopOf="@+id/download_btn" />

        <com.airbnb.lottie.LottieAnimationView
            android:id="@+id/downloadTipsLottie"
            android:layout_width="16dp"
            android:layout_height="16dp"
            android:layout_marginTop="-8dp"
            android:visibility="gone"
            app:layout_constraintRight_toRightOf="@+id/download_btn"
            app:layout_constraintTop_toTopOf="@+id/download_btn"
            app:lottie_autoPlay="false"
            app:lottie_loop="true"
            app:lottie_repeatMode="restart" />
    </androidx.constraintlayout.widget.ConstraintLayout>

</LinearLayout>
